Open Lighting Architecture: OlaDaemon Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
OlaDaemon Class Reference

## Public Member Functions
| OlaDaemon (const OlaServer::Options &options, ExportMap *export_map=NULL)
| Create a new OlaDaemon.
| ~OlaDaemon ()
| Destroy this object.
bool | Init ()
| Initialise the daemon.
void | Shutdown ()
| Shutdown the daemon.
void | Run ()
| Run the daemon.
ola::network::GenericSocketAddress | RPCAddress () const
| Return the socket address the RPC server is listening on.
ola::io::SelectServer * | GetSelectServer ()
| Get the SelectServer the daemon is using.
OlaServer * | GetOlaServer () const
| Get the OlaServer the daemon is using.

## Static Public Attributes
static const unsigned int | DEFAULT_RPC_PORT = OLA_DEFAULT_PORT

## Constructor & Destructor Documentation

## ◆ OlaDaemon()

ola::OlaDaemon::OlaDaemon | ( | const OlaServer::Options & | options,
|  | ExportMap * | export_map = NULL )

Create a new OlaDaemon.

Parameters

  options | The Options for the new OlaDaemon.
  export_map | an optional ExportMap.

## Member Function Documentation

## ◆ GetOlaServer()

OlaServer * ola::OlaDaemon::GetOlaServer | ( |  | ) | const
| inline

Get the OlaServer the daemon is using.

Returns
  An OlaServer object.

## ◆ GetSelectServer()

ola::io::SelectServer * ola::OlaDaemon::GetSelectServer | ( |  | ) |
| inline

Get the SelectServer the daemon is using.

Returns
  A SelectServer object.

## ◆ Init()

bool ola::OlaDaemon::Init | ( |  | ) |

Initialise the daemon.

Returns
  true on success, false on failure.

## ◆ RPCAddress()

ola::network::GenericSocketAddress ola::OlaDaemon::RPCAddress | ( |  | ) | const

Return the socket address the RPC server is listening on.

Returns
  A socket address, which is empty if the server hasn't been initialized.

The documentation for this class was generated from the following files:

- olad/OlaDaemon.h
- olad/OlaDaemon.cpp